Api referenceTopics

List topics

Lists visible topics, default first then by name. The organization holds at most 200 topics, so the list is bounded and unpaged.

GET
/v1/topics

Lists visible topics, default first then by name. The organization holds at most 200 topics, so the list is bounded and unpaged.

x-api-key<token>

In: header

Query Parameters

namespaceId?|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/topics"
{  "items": [    {      "id": "string",      "namespaceId": "string",      "name": "string",      "description": "string",      "default": "opt_out",      "isDefault": true,      "defaultSenderId": "string",      "replyMailboxId": "string",      "templateId": "string",      "archiveEnabled": true,      "publicationSlug": "string",      "subscriptions": {        "email": {          "subscribed": 0,          "unsubscribed": 0        }      },      "createdAt": "string",      "updatedAt": "string"    }  ]}